<?php
$host = 'localhost';
'C:\Program Files (x86)\Common Files\Aspel\Sistemas Aspel\SAE7.00\Ejemplos\Ejemplos.fdb';
$username = 'SYSDBA';
$password = 'masterkey';

if (isset($_POST['cve_clie']) && isset($_POST['camplib']) && isset($_POST['nuevoValor'])) {
    $cve_clie = $_POST['cve_clie'];
    $camplib = $_POST['camplib'];
    $nuevoValor = $_POST['nuevoValor'];

    if (preg_match('/^\d{2}\/\d{2}\/\d{4}$/', $nuevoValor)) {
        $date = DateTime::createFromFormat('d/m/Y', $nuevoValor);
        if ($date) {
            $nuevoValor = $date->format('Y-m-d');
        }
    }

    try {
        $dbh = new PDO("firebird:host=$host;dbname=$database;charset=UTF8", $username, $password);

        $sqlUpdate = "UPDATE CLIE_CLIB01 SET $camplib = ? WHERE CVE_CLIE = ?";
        $stmtUpdate = $dbh->prepare($sqlUpdate);
        $stmtUpdate->execute([$nuevoValor, $cve_clie]);

        echo 'success';
    } catch (PDOException $e) {
        echo 'error';
    }
} else {
    echo 'error';
}
?>
